/v1/workspaces/{workspace_id}/recipients/{external_id}/devicesAuthList a recipient's devices
Most recently seen first: the active ones (at most 20) and any invalid or pruned ones not yet reaped (kept 7 days).
Path parameters
workspace_id*string · uuidId of the workspace.
external_id*stringYour user id for the recipient (URL-encoded): 1-255 of `A-Z a-z 0-9 . _ : @ | -`.
Response · 200 The devices.
data*arrayThe recipient's devices, most recently seen first: at most 20 active plus any invalid or pruned ones not yet reaped.
Example
Request
GET https://api.notify.productcraft.co/v1/workspaces/{workspace_id}/recipients/{external_id}/devices
Authorization: Bearer YOUR_TOKENResponse
{
"data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"channel": {},
"token_last6": "bb78ad",
"app_id": "com.example.app",
"environment": {},
"platform": {},
"timezone": "Europe/Lisbon",
"state": {},
"state_reason": "string",
"last_seen_at": "2026-01-01T00:00:00.000Z",
"moved_at": "2026-01-01T00:00:00.000Z",
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
]
}